# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1165  -> 1.1166 
#	  drivers/acpi/osl.c	1.27    -> 1.28   
#	drivers/acpi/asus_acpi.c	1.5     -> 1.6    
#	drivers/acpi/power.c	1.7     -> 1.8    
#	drivers/acpi/toshiba_acpi.c	1.6     -> 1.7    
#	  drivers/acpi/fan.c	1.4     -> 1.5    
#	   drivers/acpi/ec.c	1.15    -> 1.16   
#	drivers/acpi/processor.c	1.14    -> 1.15   
#	drivers/acpi/thermal.c	1.10    -> 1.11   
#	drivers/acpi/battery.c	1.6     -> 1.7    
#	drivers/acpi/button.c	1.8     -> 1.9    
#	   drivers/acpi/ac.c	1.4     -> 1.5    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 04/01/26	len.brown@intel.com	1.1166
# [ACPI] move zero initialized data to .bss
# 	from Jes Sorensen
# --------------------------------------------
#
diff -Nru a/drivers/acpi/ac.c b/drivers/acpi/ac.c
--- a/drivers/acpi/ac.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/ac.c	Mon Jan 26 15:54:12 2004
@@ -93,7 +93,7 @@
                               FS Interface (/proc)
    -------------------------------------------------------------------------- */
 
-struct proc_dir_entry		*acpi_ac_dir = NULL;
+struct proc_dir_entry		*acpi_ac_dir;
 
 static int
 acpi_ac_read_state (
diff -Nru a/drivers/acpi/asus_acpi.c b/drivers/acpi/asus_acpi.c
--- a/drivers/acpi/asus_acpi.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/asus_acpi.c	Mon Jan 26 15:54:12 2004
@@ -73,8 +73,8 @@
 MODULE_LICENSE("GPL");
 EXPORT_NO_SYMBOLS;
 
-static uid_t asus_uid = 0;
-static gid_t asus_gid = 0;
+static uid_t asus_uid;
+static gid_t asus_gid;
 MODULE_PARM(asus_uid, "i");
 MODULE_PARM_DESC(uid, "UID for entries in /proc/acpi/asus.\n");
 MODULE_PARM(asus_gid, "i");
@@ -192,14 +192,14 @@
 };
 
 /* procdir we use */
-static struct proc_dir_entry *asus_proc_dir = NULL;
+static struct proc_dir_entry *asus_proc_dir;
 
 /*
  * This header is made available to allow proper configuration given model,
  * revision number , ... this info cannot go in struct asus_hotk because it is
  * available before the hotk
  */
-static struct acpi_table_header *asus_info = NULL;
+static struct acpi_table_header *asus_info;
 
 /*
  * The hotkey driver declaration
diff -Nru a/drivers/acpi/battery.c b/drivers/acpi/battery.c
--- a/drivers/acpi/battery.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/battery.c	Mon Jan 26 15:54:12 2004
@@ -328,7 +328,7 @@
                               FS Interface (/proc)
    -------------------------------------------------------------------------- */
 
-struct proc_dir_entry		*acpi_battery_dir = NULL;
+struct proc_dir_entry		*acpi_battery_dir;
 
 static int
 acpi_battery_read_info (
diff -Nru a/drivers/acpi/button.c b/drivers/acpi/button.c
--- a/drivers/acpi/button.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/button.c	Mon Jan 26 15:54:12 2004
@@ -68,7 +68,7 @@
                               FS Interface (/proc)
    -------------------------------------------------------------------------- */
 
-static struct proc_dir_entry	*acpi_button_dir = NULL;
+static struct proc_dir_entry	*acpi_button_dir;
 
 static int
 acpi_button_read_info (
diff -Nru a/drivers/acpi/ec.c b/drivers/acpi/ec.c
--- a/drivers/acpi/ec.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/ec.c	Mon Jan 26 15:54:12 2004
@@ -471,7 +471,7 @@
                               FS Interface (/proc)
    -------------------------------------------------------------------------- */
 
-struct proc_dir_entry		*acpi_ec_dir = NULL;
+struct proc_dir_entry		*acpi_ec_dir;
 
 
 static int
diff -Nru a/drivers/acpi/fan.c b/drivers/acpi/fan.c
--- a/drivers/acpi/fan.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/fan.c	Mon Jan 26 15:54:12 2004
@@ -65,7 +65,7 @@
                               FS Interface (/proc)
    -------------------------------------------------------------------------- */
 
-struct proc_dir_entry		*acpi_fan_dir = NULL;
+struct proc_dir_entry		*acpi_fan_dir;
 
 
 static int
diff -Nru a/drivers/acpi/osl.c b/drivers/acpi/osl.c
--- a/drivers/acpi/osl.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/osl.c	Mon Jan 26 15:54:12 2004
@@ -60,13 +60,13 @@
 #ifdef ENABLE_DEBUGGER
 #include <linux/kdb.h>
 /* stuff for debugger support */
-int acpi_in_debugger = 0;
+int acpi_in_debugger;
 extern char line_buf[80];
 #endif /*ENABLE_DEBUGGER*/
 
-static int acpi_irq_irq = 0;
-static OSD_HANDLER acpi_irq_handler = NULL;
-static void *acpi_irq_context = NULL;
+static int acpi_irq_irq;
+static OSD_HANDLER acpi_irq_handler;
+static void *acpi_irq_context;
 
 
 acpi_status
diff -Nru a/drivers/acpi/power.c b/drivers/acpi/power.c
--- a/drivers/acpi/power.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/power.c	Mon Jan 26 15:54:12 2004
@@ -373,7 +373,7 @@
                               FS Interface (/proc)
    -------------------------------------------------------------------------- */
 
-struct proc_dir_entry		*acpi_power_dir = NULL;
+struct proc_dir_entry		*acpi_power_dir;
 
 
 static int
diff -Nru a/drivers/acpi/processor.c b/drivers/acpi/processor.c
--- a/drivers/acpi/processor.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/processor.c	Mon Jan 26 15:54:12 2004
@@ -214,7 +214,7 @@
 
 static struct acpi_processor	*processors[NR_CPUS];
 static struct acpi_processor_errata errata;
-static void (*pm_idle_save)(void) = NULL;
+static void (*pm_idle_save)(void);
 
 
 /* --------------------------------------------------------------------------
diff -Nru a/drivers/acpi/thermal.c b/drivers/acpi/thermal.c
--- a/drivers/acpi/thermal.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/thermal.c	Mon Jan 26 15:54:12 2004
@@ -50,7 +50,7 @@
 MODULE_DESCRIPTION(ACPI_THERMAL_DRIVER_NAME);
 MODULE_LICENSE("GPL");
 
-static int tzp = 0;
+static int tzp;
 MODULE_PARM(tzp, "i");
 MODULE_PARM_DESC(tzp, "Thermal zone polling frequency, in 1/10 seconds.\n");
 
@@ -704,7 +704,7 @@
                               FS Interface (/proc)
    -------------------------------------------------------------------------- */
 
-struct proc_dir_entry		*acpi_thermal_dir = NULL;
+struct proc_dir_entry		*acpi_thermal_dir;
 
 
 static int
diff -Nru a/drivers/acpi/toshiba_acpi.c b/drivers/acpi/toshiba_acpi.c
--- a/drivers/acpi/toshiba_acpi.c	Mon Jan 26 15:54:12 2004
+++ b/drivers/acpi/toshiba_acpi.c	Mon Jan 26 15:54:12 2004
@@ -216,7 +216,7 @@
 	return status;
 }
 
-static struct proc_dir_entry*	toshiba_proc_dir = NULL;
+static struct proc_dir_entry*	toshiba_proc_dir;
 static int			force_fan;
 static int			last_key_event;
 static int			key_event_valid;
